Bug 709111 (CVE-2011-1752) - CVE-2011-1752 subversion (mod_dav_svn): DoS (crash) via request to deliver baselined WebDAV resources
Summary: CVE-2011-1752 subversion (mod_dav_svn): DoS (crash) via request to deliver ba...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1752
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 709217 709218 709219 709220 709221 709952 812251 893085
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-30 16:51 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:48:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0861 normal SHIPPED_LIVE Moderate: subversion security update 2011-06-08 15:36:39 UTC
Red Hat Product Errata RHSA-2011:0862 normal SHIPPED_LIVE Moderate: subversion security update 2011-06-08 15:47:05 UTC

Description Jan Lieskovsky 2011-05-30 16:51:42 UTC
A NULL pointer dereference flaw was found in the way mod_dav_svn module
of the subversion concurrent version control system processed requests
submitted against the URL of a baselined resource. A remote attacker
could use this flaw to cause the httpd child process to crash.

Acknowledgements:

Red Hat would like to thank the Apache Subversion project for reporting this
issue. Upstream acknowledges Joe Schaefer of Apache Software Foundation as the
original reporter.

Comment 2 Jan Lieskovsky 2011-05-30 16:55:35 UTC
This issue affects the versions of the subversion package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the subversion package, as shipped
with Fedora release of 13, 14, and 15.

Comment 4 Huzaifa S. Sidhpurwala 2011-06-02 05:02:37 UTC
Public via:
http://subversion.apache.org/security/CVE-2011-1752-advisory.txt

Comment 5 Huzaifa S. Sidhpurwala 2011-06-02 05:05:41 UTC
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 709952]

Comment 6 errata-xmlrpc 2011-06-08 15:36:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0861 https://rhn.redhat.com/errata/RHSA-2011-0861.html

Comment 7 errata-xmlrpc 2011-06-08 15:47:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:0862 https://rhn.redhat.com/errata/RHSA-2011-0862.html


Note You need to log in before you can comment on or make changes to this bug.